OpenNMS::Release::FilePackage(3pm)

NAME
OpenNMS::Release::FilePackage - Perl extension for manipulating files

SYNOPSIS
        use OpenNMS::Release::FilePackage;

        my $tarball = OpenNMS::Release::FilePackage->new("path/to/foo-1.0.tar.gz");

DESCRIPTION
This is just a perl module for manipulating files, including version comparisons, path comparisons, and other miscellaneous things.

CONSTRUCTOR
OpenNMS::Release::FilePackage->new($path)

Given a path to a file, create a new OpenNMS::Release::FilePackage object. The file must exist.

METHODS

  * extension
Get the extension for this file.

  * compression
Get the compression type for this file (gzip, bzip2, zip).

  * type
Get the file type for this file (tarball, zip).

AUTHOR
Benjamin Reed, <ranger@opennms.org>

COPYRIGHT AND LICENSE
Copyright (C) 2012 by The OpenNMS Group, Inc.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.8 or, at your option, any later version of Perl 5 you may have available.